#include <OneWire.h> 
#include <DallasTemperature.h>
#define broche_communication 12
OneWire oneWire(broche_communication); 
DallasTemperature capteurs(&oneWire);

void setup(void) 
{ 
 Serial.begin(74880); 
 capteurs.begin(); 
 Serial.println("Mesure d'un DS18B20"); 
} 

void loop(void) 
{ 
 capteurs.requestTemperatures(); 
 float valeur=capteurs.getTempCByIndex(0);
 Serial.print(valeur);  
 Serial.println(" °C");  
 delay(1000); 
}

